Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create organisations

Bulk-creates organisations. Successful entities are returned in data; per-item failures in errors keyed by name.

POST/api/v2/{team_slug}/{app_slug}/organisations
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
organisationsCreateOrganisationItem[]required
min items 1 · max items 20
Show properties
Array of CreateOrganisationItem
namestringrequired
organisation_numberstring | null
parent_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
credit_checkboolean
statusstring
contact_namestring | null
emailstring | null
phonestring | null
tax_id_vat_numberstring | null
external_refstring | null
invoice_emailstring | null
custom_fieldsobject
addressesCreateOrganisationAddress[]
Show properties
Array of CreateOrganisationAddress
shipping_typestringrequired
namestring | null
company_namestring | null
street_addressstringrequired
co_addressstring | null
citystringrequired
state_provincestring | null
house_numberstring | null
postal_codestringrequired
countrystringrequired
phonestring | null
is_defaultbooleanrequired
commentstring | null
customer_group_idsUUID[]
Responses
201

Created (partial success possible)

dataOrganisation[]required
Show properties
Array of Organisation
idUUIDrequired
namestringrequired
organisation_numberstring | null
parent_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
credit_checkboolean
statusstring
contact_namestring | null
emailstring | null
phonestring | null
tax_id_vat_numberstring | null
external_refstring | null
invoice_emailstring | null
custom_fieldsobject
commentstring | null
shipping_addressOrganisationAddress[]
Show properties
Array of OrganisationAddress
idUUID | null
Show properties
Any of:
UUID
UUID
null
null
shipping_typestringrequired
namestring | null
company_namestring | null
street_addressstringrequired
co_addressstring | null
citystringrequired
state_provincestring | null
house_numberstring | null
postal_codestringrequired
countrystringrequired
phonestring | null
is_defaultbooleanrequired
billing_addressOrganisationAddress[]
Show properties
Array of OrganisationAddress
idUUID | null
Show properties
Any of:
UUID
UUID
null
null
shipping_typestringrequired
namestring | null
company_namestring | null
street_addressstringrequired
co_addressstring | null
citystringrequired
state_provincestring | null
house_numberstring | null
postal_codestringrequired
countrystringrequired
phonestring | null
is_defaultbooleanrequired
customer_group_idsUUID[]
tagsOrganisationTagSummary[]
Show properties
Array of OrganisationTagSummary
idUUIDrequired
keystring
namestring
statusstring
filterableboolean
created_atstring<date-time>
updated_atstring<date-time> | null
errorsOrganisationError[]required
Show properties
Array of OrganisationError
namestring | null
idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v2/string/string/organisations' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "organisations": [
    {
      "name": "string",
      "organisation_number": "string",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "credit_check": true,
      "status": "string",
      "contact_name": "string",
      "email": "string",
      "phone": "string",
      "tax_id_vat_number": "string",
      "external_ref": "string",
      "invoice_email": "string",
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "addresses": [
        {
          "shipping_type": "string",
          "name": "string",
          "company_name": "string",
          "street_address": "string",
          "co_address": "string",
          "city": "string",
          "state_province": "string",
          "house_number": "string",
          "postal_code": "string",
          "country": "string",
          "phone": "string",
          "is_default": true
        }
      ],
      "comment": "string",
      "customer_group_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ]
    }
  ]
}'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "organisation_number": "string",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "credit_check": true,
      "status": "string",
      "contact_name": "string",
      "email": "string",
      "phone": "string",
      "tax_id_vat_number": "string",
      "external_ref": "string",
      "invoice_email": "string",
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "comment": "string",
      "shipping_address": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "shipping_type": "string",
          "name": "string",
          "company_name": "string",
          "street_address": "string",
          "co_address": "string",
          "city": "string",
          "state_province": "string",
          "house_number": "string",
          "postal_code": "string",
          "country": "string",
          "phone": "string",
          "is_default": true
        }
      ],
      "billing_address": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "shipping_type": "string",
          "name": "string",
          "company_name": "string",
          "street_address": "string",
          "co_address": "string",
          "city": "string",
          "state_province": "string",
          "house_number": "string",
          "postal_code": "string",
          "country": "string",
          "phone": "string",
          "is_default": true
        }
      ],
      "customer_group_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "tags": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "name": "string",
          "status": "string",
          "filterable": true,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ]
    }
  ],
  "errors": [
    {
      "name": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}